Summary: Graphical music notation program
Name: denemo
Version: 0.7.9
Release: 5%{?dist}
License: GPLv2
Group: Applications/Multimedia
Source: http://download.savannah.gnu.org/releases/denemo/%{name}-%{version}.tar.gz
Patch0: %{name}-block_debug.patch
Patch1: %{name}-undo-assert.patch
Patch2: %{name}-binreloc.patch

URL: http://www.denemo.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: portaudio-devel aubio-devel gtk2-devel
BuildRequires: gettext libxml2-devel fftw-devel desktop-file-utils
Requires: bug-buddy


%description
Denemo is a graphical music notation program written in C with
gtk+. As of April 2000, it is an official part of the GNU project
(http://www.gnu.org/)

It is intended to be used in conjunction with GNU Lilypond
(http://www.cs.uu.nl/hanwen/lilypond/), but is adaptable to other
computer-music-related purposes as well. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install --vendor="" \
        --dir=%{buildroot}/%{_datadir}/applications     \
        %{buildroot}/%{_datadir}/applications/denemo.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_sysconfdir}/denemo
%config(noreplace) %{_sysconfdir}/denemo/denemo.conf
%{_datadir}/denemo
%{_datadir}/icons/denemo.png
%{_datadir}/fonts/truetype/denemo
%{_datadir}/applications/denemo.desktop
%{_bindir}/denemo
%doc COPYING README README.lilypond ChangeLog 

%changelog
* Wed Sep 03 2008 Roy Rankin <rrankin@ihug.com.au> - 0.7.9-5
-Add Patches assert undo crash, un-needed messages on start up
* Mon Aug 18 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-4
-Simplify Requires
* Sat Aug 16 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-3
-Remove defines and fixup BuildRoot path
* Sun Aug  3 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-2
-Additional BuildRequires from Mock testing, 
 fixed desktop-file-install usage
* Fri Jul 25 2008 Roy Rankin <rrankin@ihug.com.au> 0.7.9-1
-Update for 0.7.9 and Fedora 8
* Fri Dec 14 2001 Adam Tee <ajtee@ajtee.uklinux.net>
-Update for 0.5.8
* Sun Nov 12 2000 Matt Hiller <mhiller@pacbell.net>
- Update for 0.5.5
* Wed Jun 21 2000 Sourav K. Mandal <smandal@mit.edu>
- Initial release of RPM package
